Bug 7006 - highlight patron changes in email
Summary: highlight patron changes in email
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-11 18:55 UTC by Nicole C. Engard
Modified: 2013-12-05 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed fix (2.02 KB, patch)
2011-10-11 20:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Screenshot of example email (7.78 KB, image/png)
2011-10-11 20:03 UTC, Owen Leonard
Details
Fix for Bug 7006, highlight patron changes in email (2.03 KB, patch)
2011-12-19 07:38 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-10-11 18:55:39 UTC
When the patron fills in the form on the OPAC to edit their personal info it would be nice to highlight/mark the differences/changes.

Currently we must manually compare every field in the email to their record to
discover the changes they are requesting.
Comment 1 Nicole C. Engard 2011-10-11 19:29:37 UTC
Changes made by patrons show up in all caps in the email. Maybe a note in the email telling the librarian that that's why the text is in all caps would be helpful.  I have updated the manual for now.
Comment 2 Owen Leonard 2011-10-11 20:00:20 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2011-10-11 20:03:48 UTC
Created attachment 5845 [details]
Screenshot of example email
Comment 4 Paul Poulain 2011-10-24 11:38:20 UTC
Updating Version : This ENH will be for Koha 3.8
Comment 5 Paul Poulain 2011-10-25 15:05:56 UTC
Bug versionned for master. entries will be made against rel_3_8 once the patch has been applied (see thread about that on koha-devel yesterday)
Comment 6 Chris Cormack 2011-12-19 07:38:02 UTC
Patch applies clean, and works

I leave it up to others to decide if its a good change.
Comment 7 Chris Cormack 2011-12-19 07:38:24 UTC
Created attachment 6861 [details] [review]
Fix for Bug 7006, highlight patron changes in email

This patch eliminates all unchanged fields from the email
on the assumption that the information is superfluous. I have
also added a link to the patron edit screen which will be
displayed if the staffClientBaseURL has been entered.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 8 Katrin Fischer 2011-12-19 07:42:56 UTC
The described changes make sense to me. I had libraries complaining about the bad readability of the address change mail. Only showing changed information will make it easier.
Another problem is that it's not a template in notices so can't be translated.
Comment 9 Paul Poulain 2012-01-17 16:39:39 UTC
QA comment: small patch, works fine, perlcritic still OK after the patch.

A good improvement could be to have the message translatable, but it was not before the patch, it's not after, that's another story...
Comment 10 Owen Leonard 2012-01-17 16:46:23 UTC
(In reply to comment #9)
> A good improvement could be to have the message translatable, but it was not
> before the patch, it's not after, that's another story...

See Bug 1153. We've been waiting for that for a while now.
Comment 11 Jared Camins-Esakov 2012-12-31 00:31:26 UTC
There have been no further reports of problems so I am marking this bug resolved.